Subject: get installed size for all installed packages?

From: Alin Mr <[email-masked]>
Date: Thu, 2 Jul 2020 21:25:02 +0000

Hi, I can get a list of canonical names (no version suffix) for all installed packages using 'apk info'.

I can also get the size of several packages, summer installed and some not, using 'apk info -s pkg'. That is, if I call 'apk info -s vim' I will get the size of vim, and also gvim, which is not installed.

I eventually found out that I can use 'info -es' instead of 'info -es' and it will limit itself to existing packages. But I'm not sure this is the right way, and I don't know what kind of pattern matching info does instead of simply displaying the installed package.

Advice?